import { Base, Type } from "igniteui-angular-core";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
/**
 * @hidden
 */
export declare class CT_SphereCoords extends Base {
    static $t: Type;
    private b;
    private d;
    private f;
    a: number;
    c: number;
    e: number;
    static h(a: XmlPartManagerBase, b: number, c: number, d: number): {
        p1: number;
        p2: number;
        p3: number;
    };
    static i(a: XmlPartManagerBase, b: string, c: number, d: number, e: number): void;
    toString(): string;
}
